org.eclipse.jetty.security.jaspi.modules

## Class BaseAuthModule

- java.lang.Object
- - org.eclipse.jetty.security.jaspi.modules.BaseAuthModule

- All Implemented Interfaces:
    javax.security.auth.message.config.ServerAuthContext, javax.security.auth.message.module.ServerAuthModule, javax.security.auth.message.ServerAuth
  Direct Known Subclasses:
    BasicAuthModule, ClientCertAuthModule, DigestAuthModule, FormAuthModule

  Deprecated.
  use *ServerAuthentication

      public class BaseAuthModule
      extends java.lang.Object
      implements javax.security.auth.message.module.ServerAuthModule, javax.security.auth.message.config.ServerAuthContext

  Version:
    $Rev: 4792 $ $Date: 2009-03-18 22:55:52 +0100 (Wed, 18 Mar 2009) $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.security.auth.callback.CallbackHandler` | `callbackHandler` Deprecated.
    `protected static java.lang.String` | `LOGIN_SERVICE_KEY` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseAuthModule()` Deprecated.
    `BaseAuthModule(javax.security.auth.callback.CallbackHandler callbackHandler)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanSubject(javax.security.auth.message.MessageInfo messageInfo, javax.security.auth.Subject subject)` Deprecated.
    `java.lang.Class[]` | `getSupportedMessageTypes()` Deprecated.
    `void` | `initialize(javax.security.auth.message.MessagePolicy requestPolicy, javax.security.auth.message.MessagePolicy responsePolicy, javax.security.auth.callback.CallbackHandler handler, java.util.Map options)` Deprecated.
    `protected boolean` | `isMandatory(javax.security.auth.message.MessageInfo messageInfo)` Deprecated.
    `protected boolean` | `login(javax.security.auth.Subject clientSubject, java.lang.String username, Credential credential, java.lang.String authMethod, javax.security.auth.message.MessageInfo messageInfo)` Deprecated.
    `protected boolean` | `login(javax.security.auth.Subject clientSubject, java.lang.String credentials, java.lang.String authMethod, javax.security.auth.message.MessageInfo messageInfo)` Deprecated.
    `javax.security.auth.message.AuthStatus` | `secureResponse(javax.security.auth.message.MessageInfo messageInfo, javax.security.auth.Subject serviceSubject)` Deprecated.
    `javax.security.auth.message.AuthStatus` | `validateRequest(javax.security.auth.message.MessageInfo messageInfo, javax.security.auth.Subject clientSubject, javax.security.auth.Subject serviceSubject)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOGIN_SERVICE_KEY

          protected static final java.lang.String LOGIN_SERVICE_KEY

      Deprecated.
      See Also:
        Constant Field Values

    - #### callbackHandler

          protected javax.security.auth.callback.CallbackHandler callbackHandler

      Deprecated.

  - ### Constructor Detail

    - #### BaseAuthModule

          public BaseAuthModule()

      Deprecated.

    - #### BaseAuthModule

          public BaseAuthModule(javax.security.auth.callback.CallbackHandler callbackHandler)

      Deprecated.

  - ### Method Detail

    - #### getSupportedMessageTypes

          public java.lang.Class[] getSupportedMessageTypes()

      Deprecated.
      Specified by:
        `getSupportedMessageTypes` in interface `javax.security.auth.message.module.ServerAuthModule`

    - #### initialize

          public void initialize(javax.security.auth.message.MessagePolicy requestPolicy,
                        javax.security.auth.message.MessagePolicy responsePolicy,
                        javax.security.auth.callback.CallbackHandler handler,
                        java.util.Map options)
                          throws javax.security.auth.message.AuthException

      Deprecated.
      Specified by:
        `initialize` in interface `javax.security.auth.message.module.ServerAuthModule`
      Throws:
        `javax.security.auth.message.AuthException`

    - #### cleanSubject

          public void cleanSubject(javax.security.auth.message.MessageInfo messageInfo,
                          javax.security.auth.Subject subject)
                            throws javax.security.auth.message.AuthException

      Deprecated.
      Specified by:
        `cleanSubject` in interface `javax.security.auth.message.ServerAuth`
      Throws:
        `javax.security.auth.message.AuthException`

    - #### secureResponse

          public javax.security.auth.message.AuthStatus secureResponse(javax.security.auth.message.MessageInfo messageInfo,
                                                              javax.security.auth.Subject serviceSubject)
                                                                throws javax.security.auth.message.AuthException

      Deprecated.
      Specified by:
        `secureResponse` in interface `javax.security.auth.message.ServerAuth`
      Throws:
        `javax.security.auth.message.AuthException`

    - #### validateRequest

          public javax.security.auth.message.AuthStatus validateRequest(javax.security.auth.message.MessageInfo messageInfo,
                                                               javax.security.auth.Subject clientSubject,
                                                               javax.security.auth.Subject serviceSubject)
                                                                 throws javax.security.auth.message.AuthException

      Deprecated.
      Specified by:
        `validateRequest` in interface `javax.security.auth.message.ServerAuth`
      Throws:
        `javax.security.auth.message.AuthException`

    - #### isMandatory

          protected boolean isMandatory(javax.security.auth.message.MessageInfo messageInfo)

      Deprecated.
      Parameters:
        `messageInfo` - message info to examine for mandatory flag
      Returns:
        whether authentication is mandatory or optional

    - #### login

          protected boolean login(javax.security.auth.Subject clientSubject,
                      java.lang.String credentials,
                      java.lang.String authMethod,
                      javax.security.auth.message.MessageInfo messageInfo)
                           throws java.io.IOException,
                                  javax.security.auth.callback.UnsupportedCallbackException

      Deprecated.
      Throws:
        `java.io.IOException`
        `javax.security.auth.callback.UnsupportedCallbackException`

    - #### login

          protected boolean login(javax.security.auth.Subject clientSubject,
                      java.lang.String username,
                      Credential credential,
                      java.lang.String authMethod,
                      javax.security.auth.message.MessageInfo messageInfo)
                           throws java.io.IOException,
                                  javax.security.auth.callback.UnsupportedCallbackException

      Deprecated.
      Throws:
        `java.io.IOException`
        `javax.security.auth.callback.UnsupportedCallbackException`

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.